Provider (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.Provider interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface Provider

All Known Subinterfaces:
  ApacheModule, AppClientModule, CGIScript, CitrixApplication, ConnectorModule, DatabaseModule, Db2Module, EJBModule, I5OSSoftwareComponent, IIsModule, IPlanetJSP, IPlanetServlet, J2EEApplication, J2EEDeployedObject, J2EEModule, JBossConnectorModule, JBossEJBModule, JBossJ2EEApplication, JBossWebModule, JVM, LinuxRPM, MQServiceComponent, NSAPIPlugin, OracleAppConnectorModule, OracleAppEJBModule, OracleAppJ2EEApplication, OracleAppWebModule, OracleModule, SCAComponent, SCAModule, SoftwareComponent, SoftwareModule, SolarisPackage, SqlServerModule, StaticContentModule, SybaseModule, TMSAgent, WebLogicConnectorModule, WebLogicEJBModule, WebLogicJ2EEApplication, WebLogicPlugin, WebLogicWebModule, WebModule, WebModule, WebSphereConnectorModule, WebSphereEJBModule, WebSphereJ2EEApplication, WebSphereWebModule, WebStaticContentModule

    public interface Provider

An entity that performs work (activities) and responds to interfaces across a service access point.

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`Activity[]` | `getActivities()` The activities that this provider accomplishes
`Interface[]` | `getAdvertisedInterfaces()` The interfaces to which this provider responds
`ServiceAccessPoint[]` | `getSAPs()` The service access points through which this provider can be contacted
`boolean` | `hasActivities()`
`boolean` | `hasAdvertisedInterfaces()`
`boolean` | `hasSAPs()`
`void` | `setActivities(Activity[] name)`
`void` | `setAdvertisedInterfaces(Interface[] name)`
`void` | `setSAPs(ServiceAccessPoint[] name)`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getSAPs

    ServiceAccessPoint[] getSAPs()
                                 throws AttributeNotSetException

  The service access points through which this provider can be contacted

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setSAPs

    void setSAPs(ServiceAccessPoint[] name)

### hasSAPs

    boolean hasSAPs()

### getAdvertisedInterfaces

    Interface[] getAdvertisedInterfaces()
                                        throws AttributeNotSetException

  The interfaces to which this provider responds

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Advertises" reverse="false"

### setAdvertisedInterfaces

    void setAdvertisedInterfaces(Interface[] name)

### hasAdvertisedInterfaces

    boolean hasAdvertisedInterfaces()

### getActivities

    Activity[] getActivities()
                             throws AttributeNotSetException

  The activities that this provider accomplishes

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Performs" reverse="false"

### setActivities

    void setActivities(Activity[] name)

### hasActivities

    boolean hasActivities()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD